Retrieve the incoming references for an item with the provided ID.

Use the /references/incoming/{classification}/{id} endpoint to retrieve the incoming references for an item with the provided ID.

Examples:

A simple lookup of the incoming references for one item

Request:
    "{baseURL}/authoring/v1/references/incoming/content-type/cad2e430-beed-40d0-bb57-1c86c4f912c0"
Response:
{
   "offset": 0,
   "limit": 200,
   "href": "/authoring/v1/references/incoming/content-type/cad2e430-beed-40d0-bb57-1c86c4f912c0?offset=0&limit=200",
   "items": [
     {
       "id": "2107a014-51f7-4161-96e2-d8eac6ad7dd9",
       "classification": "content"
     },
     {
       "id": "367a067a-d49e-4a40-b16a-18442fd3b6ba",
       "classification": "content"
     }
   ]
}

A simple lookup of the incoming references for one item with metadata

Instead of just getting the content hub IDs, you can also request to retrieve metadata for each item.

The metadata returned are the default fields that are returned by authoring search API (authoring/v1/search).

Request:
    "{baseURL}/authoring/v1/references/incoming/content-type/cad2e430-beed-40d0-bb57-1c86c4f912c0?include=metadata"
Response:
{
   "offset": 0,
   "limit": 200,
   "href": "/authoring/v1/references/incoming/content-type/cad2e430-beed-40d0-bb57-1c86c4f912c0?offset=0&limit=200",
   "items": [
     {
       "id": "2107a014-51f7-4161-96e2-d8eac6ad7dd9",
       "classification": "content",
       "metadata": {
         "id": "content:2107a014-51f7-4161-96e2-d8eac6ad7dd9",
         "name": "Slide6",
         "classification": "content",
         "type": "Slide",
         "typeId": "cad2e430-beed-40d0-bb57-1c86c4f912c0",
         "locale": "en",
         "lastModified": "2017-06-09T04:09:35.622Z",
         "lastModifier": "Thomas Watson",
         "lastModifierId": "8bd88336-648c-46a6-80d4-73c0e81fb4fa",
         "created": "2017-06-09T01:21:07.524Z",
         "creator": "Thomas Watson",
         "creatorId": "8bd88336-648c-46a6-80d4-73c0e81fb4fa",
         "status": "ready",
         "thumbnail": "/authoring/v1/resources/28dcd9c49b0d45fb8c7bf045cc0582db?fit=inside%7C220:145"
       }
     },
     {
       "id": "367a067a-d49e-4a40-b16a-18442fd3b6ba",
       "classification": "content",
       "metadata": {
         "id": "content:367a067a-d49e-4a40-b16a-18442fd3b6ba",
         "name": "Slide2",
         "classification": "content",
         "type": "Slide",
         "typeId": "cad2e430-beed-40d0-bb57-1c86c4f912c0",
         "locale": "en",
         "lastModified": "2017-06-09T01:20:20.757Z",
         "lastModifier": "Thomas Watson",
         "lastModifierId": "8bd88336-648c-46a6-80d4-73c0e81fb4fa",
         "created": "2017-06-09T01:20:13.104Z",
         "creator": "Thomas Watson",
         "creatorId": "8bd88336-648c-46a6-80d4-73c0e81fb4fa",
         "status": "ready"
       }
     }
   ]
 }

Using fl parameter to request specific metadata fields

Just like the search API, the fl parameter can be used to request specific fields including the document field, which is the entire API representation of the item.

Note: When the fl parameter is used, the id field is also always returned.

Request:
    "{baseURL}/authoring/v1/references/incoming/content-type/cad2e430-beed-40d0-bb57-1c86c4f912c0?include=metadata&fl=name"
Response:
    {
   "offset": 0,
   "limit": 200,
   "href": "/authoring/v1/references/incoming/content-type/cad2e430-beed-40d0-bb57-1c86c4f912c0?offset=0&limit=200",
   "items": [
     {
       "id": "2107a014-51f7-4161-96e2-d8eac6ad7dd9",
       "classification": "content",
       "metadata": {
         "id": "content:2107a014-51f7-4161-96e2-d8eac6ad7dd9",
         "name": "Slide6"
       }
     },
     {
       "id": "367a067a-d49e-4a40-b16a-18442fd3b6ba",
       "classification": "content",
       "metadata": {
         "id": "content:367a067a-d49e-4a40-b16a-18442fd3b6ba",
         "name": "Slide2"
       }
     }
   ]
 }


User roles: admin, manager, editor, viewer

Path Params
string
required

Provide the ID of the item for which you want to fetch incoming references.

string
required

Provide the classification of the item for which you want to fetch incoming references.

Query Params
fl
array of strings

The fields that you can specify in the fl parameter are similar to the fl query parameters in /authoring/v1/search API. You can use the fl parameter only if you are also using the include=metadata parameter. For example, to retrieve all the document for each of the references use fl=document. If the field is not specified, the default fields are returned. The id field is always returned by default.

fl
include
array of strings

Use the 'include' parameter to add options to references that you fetch for an item. Currently, the only available option is metadata. When you use the metadata option in the include parameter, the returned code includes metadata about each of the references that are returned. The information that is returned can be controlled by using the fl parameter.

include
integer
Defaults to 0

Use the offset parameter to specify the number of references to skip from the beginning of the list and return the rest.

integer
Defaults to 50

Set the limit for the maximum number of references to return in a single result. The current maximum value is 250.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json